[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Incompatible Unison update (and solution?)



Michel Salim wrote:
> Wouldn't the remote unison be expecting the binary to be called
> unison? To make the compat-* operation seamless, /all/ unison packages
> might have to use the alternatives system.

Unison already supports the option "addversionno" which will attempt to
run e.g. "unison-2.13" instead of plain "unison". Thus, if you install
the compatibility package on a server, your client scripts will have to
make this minor change. If you (only) install the compatibility package
on a client, no changes are required.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]